%define name guidedog
%define version 0.9.0
%define release 1mdk82k3
%define _prefix /opt/kde3/
%define _docdir %{_prefix}/share/doc/
%define _menudir /usr/lib/menu/

Summary: Advanced Routing Utility
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
Copyright: GPL
Group: Networking/Utilities
URL: http://www.simonzone.com/software/guidedog/
Packager: Simon Edwards
Distribution: Linux-Mandrake
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: iptables kdebase chkconfig

%description
Guidedog is an advanced routing/network configuration utility for KDE 2 or 3
running on Linux 2.4 based machines. Using Guidedog you can easily
activate packet routing/forwarding and also more advanced networking such
as IP masquerade.

Development version. This RPM is for Mandrake 8.2 with *KDE 3* and installs
into /opt/kde3/.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
export KDEDIR=/opt/kde3
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%_prefix --mandir=%_mandir --libdir=%_libdir \
	--disable-rpath --enable-mt --with-qt-dir=/usr/lib/qt3/

%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%makeinstall
install -d %buildroot/%_menudir/ 
kdedesktop2mdkmenu.pl guidedog "Configuration/Networking"  %buildroot/%_datadir/applnk/System/guidedog.desktop %buildroot/%_menudir/guidedog

mkdir $RPM_BUILD_ROOT/etc
mkdir $RPM_BUILD_ROOT/etc/init.d
cp sysinit/guidedog $RPM_BUILD_ROOT/etc/init.d/guidedog
chmod u+x $RPM_BUILD_ROOT/etc/init.d/guidedog

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README TODO AUTHORS COPYING ChangeLog
%_bindir/*
%_datadir/apps/guidedog/*
%_datadir/doc/HTML/en/guidedog/
%_datadir/icons/locolor/32x32/apps/guidedog.png
%_datadir/icons/hicolor/48x48/apps/guidedog.png
%_datadir/icons/hicolor/32x32/apps/guidedog.png
%_datadir/icons/locolor/16x16/apps/guidedog.png
%_menudir/guidedog
%attr(0755,root,root) /etc/init.d/guidedog

%post
/sbin/chkconfig --add guidedog
/sbin/chkconfig guidedog on
if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
fi

%preun
/sbin/chkconfig guidedog off
/sbin/chkconfig --del guidedog

%postun
if [ "$1" = 0 ]; then
    if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
    fi
fi
%changelog

* Thu Jul 11 2002 Simon Edwards <simon@simonzone.com> 0.9.0-1mdk82k3

- Script no longer uses the 'sysctl' command.
- Added /usr/local/sbin/ to the command search path.
